Entity API
Update Entity
Update an existing entity.
PUT
/
v2
/
entities
/
{id}
Update Entity
curl --request PUT \
--url https://public.api.serval.com/v2/entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": true
}
],
"name": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/entities/{id}"
payload = {
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": True
}
],
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fieldValues: [{fieldId: '<string>', fieldKey: '<string>', value: 123, pinned: true}],
name: '<string>'
})
};
fetch('https://public.api.serval.com/v2/entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.api.serval.com/v2/entities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fieldValues' => [
[
'fieldId' => '<string>',
'fieldKey' => '<string>',
'value' => 123,
'pinned' => true
]
],
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public.api.serval.com/v2/entities/{id}"
payload := strings.NewReader("{\n \"fieldValues\": [\n {\n \"fieldId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": 123,\n \"pinned\": true\n }\n ],\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://public.api.serval.com/v2/entities/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fieldValues\": [\n {\n \"fieldId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": 123,\n \"pinned\": true\n }\n ],\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public.api.serval.com/v2/entities/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fieldValues\": [\n {\n \"fieldId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": 123,\n \"pinned\": true\n }\n ],\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"teamId": "<string>",
"entityTypeId": "<string>",
"entityTypeKey": "<string>",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"updatedAt": "2025-01-15T01:30:15.000Z",
"deletedAt": "2025-01-15T01:30:15.000Z",
"archivedAt": "2025-01-15T01:30:15.000Z",
"fieldValues": [
{
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"dataType": "DATA_TYPE_UNSPECIFIED",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"deletedAt": "2025-01-15T01:30:15.000Z",
"pinned": true,
"redacted": true,
"sensitive": true,
"setByFormula": true
}
],
"sourceAppInstanceIds": [
"<string>"
],
"sharedMetadata": {
"sourceTeamId": "<string>",
"sourceTeamName": "<string>"
},
"sourceApps": [
{
"appInstanceId": "<string>",
"displayName": "<string>",
"serviceName": "<string>",
"serviceDisplayName": "<string>",
"logoUrl": "<string>",
"domain": "<string>",
"useIntegratedServiceRegistry": true,
"isCustom": true
}
]
},
"pendingChange": {
"id": "<string>",
"entityId": "<string>",
"entityTypeId": "<string>",
"operation": "ENTITY_CHANGE_OPERATION_UNSPECIFIED",
"state": "ENTITY_PENDING_CHANGE_STATE_UNSPECIFIED",
"entityWorkflowRuleIds": [
"<string>"
],
"submittedByUserId": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"fieldChanges": [
{
"fieldId": "<string>",
"beforeJson": "<string>",
"afterJson": "<string>",
"redacted": true,
"pinned": true
}
],
"runs": [
{
"entityWorkflowRuleId": "<string>",
"workflowId": "<string>",
"workflowRunId": "<string>",
"state": "ENTITY_PENDING_CHANGE_RUN_STATE_UNSPECIFIED"
}
],
"reason": "<string>"
}
}Authentication and permissions
Token requirements: User-based token (OAuth) or Organization-scoped API key or Team-scoped API key. Send a bearer access token for one of these identities. The permissions and resource restrictions below also apply.
| Credential | Access requirements |
|---|---|
| Organization-scoped API key | entities:write |
| Team-scoped API key | entities:write |
| User-based token (OAuth) | Supported, subject to permissions |
- Change a record in a team’s database, or in a database shared with one of your teams: The permission is checked on the record’s owning team, or on a team the record’s database is shared with at “Can write”; a “Can read” share admits no write. A record in a database not shared with one of your teams is refused. Schema and row-access rules still apply.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the entity. Editable in its owning team or through a team its database is shared with at "Can write"; a record of a database not shared with one of your teams is refused.
Body
application/json
The field values to set. Only provided fields are updated; omitted fields are untouched.
Show child attributes
Show child attributes
Convenience field to update the entity's name. Sets the value of the entity type's name field (is_name_field). Ignored if field_values already contains a value for the name field.
Was this page helpful?
⌘I
Update Entity
curl --request PUT \
--url https://public.api.serval.com/v2/entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": true
}
],
"name": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/entities/{id}"
payload = {
"fieldValues": [
{
"fieldId": "<string>",
"fieldKey": "<string>",
"value": 123,
"pinned": True
}
],
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fieldValues: [{fieldId: '<string>', fieldKey: '<string>', value: 123, pinned: true}],
name: '<string>'
})
};
fetch('https://public.api.serval.com/v2/entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.api.serval.com/v2/entities/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fieldValues' => [
[
'fieldId' => '<string>',
'fieldKey' => '<string>',
'value' => 123,
'pinned' => true
]
],
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public.api.serval.com/v2/entities/{id}"
payload := strings.NewReader("{\n \"fieldValues\": [\n {\n \"fieldId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": 123,\n \"pinned\": true\n }\n ],\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://public.api.serval.com/v2/entities/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fieldValues\": [\n {\n \"fieldId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": 123,\n \"pinned\": true\n }\n ],\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://public.api.serval.com/v2/entities/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fieldValues\": [\n {\n \"fieldId\": \"<string>\",\n \"fieldKey\": \"<string>\",\n \"value\": 123,\n \"pinned\": true\n }\n ],\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"teamId": "<string>",
"entityTypeId": "<string>",
"entityTypeKey": "<string>",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"updatedAt": "2025-01-15T01:30:15.000Z",
"deletedAt": "2025-01-15T01:30:15.000Z",
"archivedAt": "2025-01-15T01:30:15.000Z",
"fieldValues": [
{
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"dataType": "DATA_TYPE_UNSPECIFIED",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"deletedAt": "2025-01-15T01:30:15.000Z",
"pinned": true,
"redacted": true,
"sensitive": true,
"setByFormula": true
}
],
"sourceAppInstanceIds": [
"<string>"
],
"sharedMetadata": {
"sourceTeamId": "<string>",
"sourceTeamName": "<string>"
},
"sourceApps": [
{
"appInstanceId": "<string>",
"displayName": "<string>",
"serviceName": "<string>",
"serviceDisplayName": "<string>",
"logoUrl": "<string>",
"domain": "<string>",
"useIntegratedServiceRegistry": true,
"isCustom": true
}
]
},
"pendingChange": {
"id": "<string>",
"entityId": "<string>",
"entityTypeId": "<string>",
"operation": "ENTITY_CHANGE_OPERATION_UNSPECIFIED",
"state": "ENTITY_PENDING_CHANGE_STATE_UNSPECIFIED",
"entityWorkflowRuleIds": [
"<string>"
],
"submittedByUserId": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"fieldChanges": [
{
"fieldId": "<string>",
"beforeJson": "<string>",
"afterJson": "<string>",
"redacted": true,
"pinned": true
}
],
"runs": [
{
"entityWorkflowRuleId": "<string>",
"workflowId": "<string>",
"workflowRunId": "<string>",
"state": "ENTITY_PENDING_CHANGE_RUN_STATE_UNSPECIFIED"
}
],
"reason": "<string>"
}
}
